
{ boundary conditions
  0 for zero radial velocity under cover u(r_B)=0
  1 for pressure pB under cover p(r_B)=pB
  2 for barometric pressure on top of cover p(r_S)=p_bar }
bc_flag=1;

{ surface elevation m }
elev=0; 

{ barometer pressure Pa }
p_bar=ps
{ atmospheric pressure at given elevation}
p_atm=p_bar*(1-Latm*elev/Ts)^(g/(R_air*Latm)) 

{ pressure under the cover (if applicable), converted from inWc }
pB=p_atm-0.5*i2m_p

{ outlet pressure, converted from inWc }
p_out=p_atm-15*i2m_p

{ pipe diameter m }
d_P=0.5*0.3048
r_P=d_P/2 {pipe radius}

{ pack, waste and cover laminae thickness m }
h=array(1,8,3) 
r_A=r_P+h[1] {gravel pack radius}
r_B=r_A+h[2] {landfill cavity radius}
r_S=r_B+h[3] {landfill cavity including cover radius} 

{ porosity }
!p_eps=array(0.4,0.6,0.5) ! wellshr
p_eps=array(0.6,0.4,0.7) ! wellshp, wellshc
{ effective packing sphere diameter to represent grain size m }
sphere_diam=array(0.05,0.1,0.01) {k_b>k_a}
!sphere_diam=array(0.05,0.01,0.01) {k_b<k_a}
{ tortuosity }
!tau=125 ! wellshr
tau=100 ! wellshp, wellshc

!k=array for i (1 by 1 to 3) : p_eps[i]^3*sphere_diam[i]^2*(72*tau*(1-p_eps[i])^2)^(-1) 
k=array(1e-05, 1e-06, 1e-09) ! cmp

{ temperature deg C }
Tlfg=15+C2K

{ roughness m }
epsilon_dim=0.0015*10^(-3)
{ non-dimensional and divided by 3.7 for Colebrook equation }
epsilon=epsilon_dim/(d_P*3.7) 

{ hole diameter m }
dh=3/8*0.0254

{ # of holes in each perforated cross-section }
nh=2 
dl=nh*(dh/2)^2/d_P

{ gas composition CH4, CO2 and O2, balance N2 }
Xlfg0=array(0.5,0.4,0.01);
Xlfg=array(Xlfg0[1],Xlfg0[2],Xlfg0[3],1-sum(i,1,3,Xlfg0[i]))
Rlfg=Ro/sum(i,1,4,Xlfg[i]*Mw[i])
#include "visco.pde" {computes mu_lfg}

{ number of perforated cross-sections }
n=28

{ pipe length between perforated cross-sections m }
dl_P=15
ell=n*dl_P

{ generation rate m^3/hr, 
  paper value C_init*ps/(R*To*pi*(h(3)^2-h(2)^2)*l*n) }
{ C=C_init*ps/(R*To*pi*(h(3)^2-h(2)^2)*n*dl_P) normalisation to get wellshp value }
C_init=375
C=C_init*ps/(3600*Rlfg*Tc*pi*(r_B^2-r_A^2)*dl*n)
!C=C_init*ps/(3600*Rlfg*Tc*pi*(r_B^2-r_A^2)*dl_P*n)
RT=Rlfg*Tlfg
muRT=mu_lfg*RT
mu2RT=mu_lfg*muRT
muRTC=muRT*C

{ initial guess for volumetric rate, converted from scfm }
q_init=75*i2m_q

{ # of output points in each lamina per m thickness }
{ npx --> per m horizontal surface distance }
np1=20 
np2=5 
np3=5 
npx=10

{ cross-section # for contour display
  0 - outlet, n - end of pipe
  round if using fractions of n }
nc=n

{ horizontal distance lx to compute lfg/air flux through 
  surface rectangle of area 2 lx by L=n*l }
lx=50

{ air temperature for surface flux computation only }
T_air=15+C2K

{ cover flag for surface flux computation (if applicable) }
x_flag=0

{ flag to plot solution extension beyond formal domain }
plotx_flag=1
