
{ Sutherland's formula }
{ base values for Sutherland's formula }

To_CH4=273.15; s_CH4=197.8; muo_CH4=12.01*10^(-6);
To_CO2=293.15; s_CO2=240; muo_CO2=14.8*10^(-6);
!To_CO2=273.15; s_CO2=222.2; muo_CO2=13.7*10^(-6);
To_O2=292.25; s_O2=127; muo_O2=20.18*10^(-6);
To_N2=300.55; s_N2=111; muo_N2=17.81*10^(-6);

mu_CH4=muo_CH4*(Tlfg/To_CH4)^1.5*(To_CH4+s_CH4)/(Tlfg+s_CH4); 
mu_CO2=muo_CO2*(Tlfg/To_CO2)^1.5*(To_CO2+s_CO2)/(Tlfg+s_CO2);
mu_O2=muo_O2*(Tlfg/To_O2)^1.5*(To_O2+s_O2)/(Tlfg+s_O2);
mu_N2=muo_N2*(Tlfg/To_N2)^1.5*(To_N2+s_N2)/(Tlfg+s_N2);

{ exponential formula }
{
! make sure Tc=293.15K not altered in the main mfile
muo_CH4=13.4*10^(-6); e_CH4=0.87;
muo_CO2=14.8*10^(-6); e_CO2=0.79;
muo_O2=20.0*10^(-6); e_O2=0.69;
muo_N2=17.6*10^(-6); e_N2=0.67;

mu_CH4=muo_CH4*(Tlfg/Tc)^e_CH4;
mu_CO2=muo_CO2*(Tlfg/Tc)^e_CO2;
mu_O2=muo_O2*(Tlfg/Tc)^e_O2;
mu_N2=muo_N2*(Tlfg/Tc)^e_N2;
}

mu=array(mu_CH4, mu_CO2, mu_O2, mu_N2)
a=3/8 { empirical constant from Thomas A. Davidson's paper - 3/8 or 1/3 
         a=3/8 appears to work negligibly better }
Ylfg=sum(i,1,4,sqrt(Mw[i])*Xlfg[i])

fl=2^a/Ylfg^2*sum(i,1,4,sum(j,1,4,
   Xlfg[i]*Xlfg[j]*Mw[i]^((a+1)/2)*Mw[j]^((a+1)/2)/
   (sqrt(mu[i]*mu[j])*(Mw[i]+Mw[j])^a)))
mu_lfg=1/fl

